These are chat archives for ushahidi/Community

13th
Dec 2016
yosolita
@yosolita
Dec 13 2016 01:30
hello
i'm looking for help
i have an error when i run bin/update after install
{ivalidArgumentException}
there was a problem connecting to the database: SQLSTATE[HY000] [1045] aCCESS DENIED FOR USER ''@'localhost' (usign passwerod:NO)
TheNiqabiCoderMum
@nqcm
Dec 13 2016 06:58
@ushbot any news for me?
David Hatanian
@dhatanian
Dec 13 2016 08:12
@ushbot this is from the Vagrantfile provided in the repo, so puppet and librarian puppet are already installed. Is vagrant still the recommended way to run the platform locally or should I look for something else?
Ushbot
@ushbot
Dec 13 2016 08:57
[David Losada, Ushahidi] @dhatanian not sure if I understand what you mean. Just to be more precise, those commands are to be run locally, they are not automated for you
[David Losada, Ushahidi] @yosolita make sure to double check you’ve got your .env file created and in the location pointed by instructions
[David Losada, Ushahidi] @nqcm @nesp , sorry this is a busy period, we’ll be getting back to you as soon as possible
David Hatanian
@dhatanian
Dec 13 2016 09:04

@ushbot same problem:

==> default: Running provisioner: puppet...
==> default: Running Puppet with environment platform...
==> default: stdin: is not a tty
==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Could not find declared class apt at /tmp/vagrant-puppet/environments/platform/manifests/site.pp:11:1 on node ushahidi-platform.dev

Are there instructions to get a dev environment set up with Vagrant? None of the docs I read mentioned gem install as a requirement.

Ushbot
@ushbot
Dec 13 2016 09:05
[David Losada, Ushahidi] mm.. these are the latest instructions for Vagrant: https://www.ushahidi.com/support/install-ushahidi#installing-with-vagrant-a-nodejs-dev-server
Nesp
@Nesp
Dec 13 2016 14:49
@ushbot ok, thanks. Not urgent but needed